gzlib.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Macros

#define | LSEEK lseek

## Functions

void gz_reset | OF ((gz_statep))
gzFile gz_open | OF ((const void *, int, const char *))
void | gz_reset (gz_statep state)
gzFile | gz_open (void *path, int fd, const char *mode) const
gzFile ZEXPORT | gzopen (char *path, const char *mode) const
gzFile ZEXPORT | gzopen64 (char *path, const char *mode) const
gzFile ZEXPORT | gzdopen (int fd, const char *mode)
int ZEXPORT | gzbuffer (gzFile file, unsigned size)
int ZEXPORT | gzrewind (gzFile file)
z_off64_t ZEXPORT | gzseek64 (gzFile file, z_off64_t offset, int whence)
z_off_t ZEXPORT | gzseek (gzFile file, z_off_t offset, int whence)
z_off64_t ZEXPORT | gztell64 (gzFile file)
z_off_t ZEXPORT | gztell (gzFile file)
z_off64_t ZEXPORT | gzoffset64 (gzFile file)
z_off_t ZEXPORT | gzoffset (gzFile file)
int ZEXPORT | gzeof (gzFile file)
const char *ZEXPORT | gzerror (gzFile file, int *errnum)
void ZEXPORT | gzclearerr (gzFile file)
void ZLIB_INTERNAL | gz_error (gz_statep state, int err, const char *msg)
unsigned ZLIB_INTERNAL | gz_intmax ()

## Macro Definition Documentation

## LSEEK

#define LSEEK lseek

Definition at line 14 of file gzlib.c.

## Function Documentation

## gz_error()

void ZLIB_INTERNAL gz_error | ( | gz_statep | state,
|  | int | err,
|  | const char * | msg
| ) |  |

Definition at line 579 of file gzlib.c.

## gz_intmax()

unsigned ZLIB_INTERNAL gz_intmax | ( |  | ) |

Definition at line 625 of file gzlib.c.

## gz_open()

gzFile gz_open | ( | void * | path,
|  | int | fd,
|  | const char * | mode
| ) |  | const

Definition at line 91 of file gzlib.c.

## gz_reset()

void gz_reset | ( | gz_statep | state | ) |

Definition at line 75 of file gzlib.c.

## gzbuffer()

int ZEXPORT gzbuffer | ( | gzFile | file,
|  | unsigned | size
| ) |  |

Definition at line 316 of file gzlib.c.

## gzclearerr()

void ZEXPORT gzclearerr | ( | gzFile | file | ) |

Definition at line 553 of file gzlib.c.

## gzdopen()

gzFile ZEXPORT gzdopen | ( | int | fd,
|  | const char * | mode
| ) |  |

Definition at line 286 of file gzlib.c.

## gzeof()

int ZEXPORT gzeof | ( | gzFile | file | ) |

Definition at line 515 of file gzlib.c.

## gzerror()

const char *ZEXPORT gzerror | ( | gzFile | file,
|  | int * | errnum
| ) |  |

Definition at line 532 of file gzlib.c.

## gzoffset()

z_off_t ZEXPORT gzoffset | ( | gzFile | file | ) |

Definition at line 505 of file gzlib.c.

## gzoffset64()

z_off64_t ZEXPORT gzoffset64 | ( | gzFile | file | ) |

Definition at line 482 of file gzlib.c.

## gzopen()

gzFile ZEXPORT gzopen | ( | char * | path,
|  | const char * | mode
| ) |  | const

Definition at line 270 of file gzlib.c.

## gzopen64()

gzFile ZEXPORT gzopen64 | ( | char * | path,
|  | const char * | mode
| ) |  | const

Definition at line 278 of file gzlib.c.

## gzrewind()

int ZEXPORT gzrewind | ( | gzFile | file | ) |

Definition at line 343 of file gzlib.c.

## gzseek()

z_off_t ZEXPORT gzseek | ( | gzFile | file,
|  | z_off_t | offset,
|  | int | whence
| ) |  |

Definition at line 443 of file gzlib.c.

## gzseek64()

z_off64_t ZEXPORT gzseek64 | ( | gzFile | file,
|  | z_off64_t | offset,
|  | int | whence
| ) |  |

Definition at line 366 of file gzlib.c.

## gztell()

z_off_t ZEXPORT gztell | ( | gzFile | file | ) |

Definition at line 472 of file gzlib.c.

## gztell64()

z_off64_t ZEXPORT gztell64 | ( | gzFile | file | ) |

Definition at line 455 of file gzlib.c.

## OF() [1/2]

gzFile gz_open OF | ( | (const void *, int, const char *) |  | ) |

## OF() [2/2]

void gz_reset OF | ( | (gz_statep) |  | ) |